Description

The iterations parameter of the SDFDirector defaults to AUTO.
See bug #5546.

To close this bug:
1) Update the Kepler version of SDFDirector.xml
2) Update the Kepler printed documentation

Related issues:
Blocked by Kepler - Bug #5625: create kepler documentation for 2.4 Resolved 06/15/2012

History

#1 - 08/23/2012 11:40 AM - jianwu jianwu

current settings:

The 'Auto’ means '1' at top level and '0' inside of a composite actor. The
'UNBOUNDED' means '0". Also users can put any number they want.

#2 - 08/23/2012 11:43 AM - Daniel Crawl
Matlab demo workflow needs to be fixed: top level SDF used the default 0, but now is AUTO.

#3 - 08/23/2012 11:48 AM - Christopher Brooks
One fix is to run ptolemy/domains/sdf/kernel/fixSDFIterations on the .xml file.

The real fix would be to create a filter that would look for SDFDirector, DTDirector, HDFDirector, PthalesDirector and then if iterations was not set,
iterations would be set to 0.

I'm not sure if this is possible, but | can look again.
I'll reassign this to me for confirmation and then reassign to jianwu.

#4 - 08/24/2012 08:50 AM - Christopher Brooks

| added ptolemy.moml.filter. AddMissingParameter that will add iterations set
to 0 if it is missing from a SDFDirector.

The Matlab demo at outreach/workflows/demos/Matlab/MatlabExpression.xml
now has the iterations parameter of the SDFDirector set to 0.

I'm reassigning this documentation bug to jianwu.

#5 - 09/10/2012 04:58 PM - jianwu jianwu
The xml is updated at version 30616. Printed documentation will be updated along with bug 5625.

#6 - 11/14/2012 03:42 PM - Daniel Crawl

Jianwu and | have updated the Kepler documentation for the iterations parameter.

#7 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5677
